package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 短信设置对象 text_message
 * 
 * @author ruoyi
 * @date 2021-07-20
 */
public class TextMessage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 标识用户 */
    @Excel(name = "标识用户")
    private String accessKeyId;

    /** 验证用户的密钥 */
    @Excel(name = "验证用户的密钥")
    private String accessKeySecret;

    /** 签名 */
    @Excel(name = "签名")
    private String signName;

    /** 短信模板 */
    @Excel(name = "短信模板")
    private String templateCode;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private String isDel;

    /**
     * 短信运营商
     */
    @Excel(name = "短信运营商")
    private String messageOperators;

    public String getMessageOperators() {
        return messageOperators;
    }

    public void setMessageOperators(String messageOperators) {
        this.messageOperators = messageOperators;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAccessKeyId(String accessKeyId) 
    {
        this.accessKeyId = accessKeyId;
    }

    public String getAccessKeyId() 
    {
        return accessKeyId;
    }
    public void setAccessKeySecret(String accessKeySecret) 
    {
        this.accessKeySecret = accessKeySecret;
    }

    public String getAccessKeySecret() 
    {
        return accessKeySecret;
    }
    public void setSignName(String signName) 
    {
        this.signName = signName;
    }

    public String getSignName() 
    {
        return signName;
    }
    public void setTemplateCode(String templateCode) 
    {
        this.templateCode = templateCode;
    }

    public String getTemplateCode() 
    {
        return templateCode;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("accessKeyId", getAccessKeyId())
            .append("accessKeySecret", getAccessKeySecret())
            .append("signName", getSignName())
            .append("templateCode", getTemplateCode())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
